Bug 450624 - session management issues
session management issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 19:06 EDT by Jeff Garzik
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2008-06-09 19:06:12 EDT
Description of problem:
Platform: Fedora 9 / GNOME / x86-64

When session management is enabled, the following issues are observed:
1) gnome-terminal is not restarted upon login (several terminals in several
workspaces were running at logout time)
2) thunderbird is not restarted upon login (was running at logout time)
3) firefox, ekiga and gaim are restarted, and forced into Workspace #1 (I had
previously placed them in other workspaces, before logging out)

Version-Release number of selected component (if applicable):
metacity-2.22.0-3.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. set up 9 workspaces, each with 2-3 gnome terminals.
2. run firefox, thunderbird, xchat each in their own workspace.
3. run ekiga and gaim, minimized on GNOME panel
  
Actual results:
only firefox, ekiga, gaim restarted.  and all in workspace #1, not in proper
workspaces.

Expected results:
the same layout I had, when I logged out.

Additional info:
lspci display:
01:00.1 Display controller: ATI Technologies Inc R580 [Radeon X1900 XT] (Secondary)


lsusb kbd/mouse:
Bus 002 Device 003: ID 045e:000b Microsoft Corp. Natural Keyboard Elite
Bus 002 Device 002: ID 045e:0047 Microsoft Corp. IntelliMouse Explorer 3.0
Comment 1 c.h. 2008-08-11 07:50:24 EDT
I agree, it is an annoyance to have session saving but to have most everything restore on workspace #1 as opposed to having the windows positioned and spread among workspaces as you've left them.
Comment 2 Bug Zapper 2009-06-09 21:30:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:38:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.